This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 132746 - .pc file uses incorrect include path
.pc file uses incorrect include path
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-16 13:11 EDT by Mark Schreiber
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-25 00:43:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Schreiber 2004-09-16 13:11:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
The .pc file in ImageMagick-devel (/usr/lib/pkgconfig/ImageMagick.pc)
includes an incorrect path -- includedir is set to
/usr/include/magick, and the actual path included is set to
-I${includedir}/ImageMagick, which does not exist.

Thus, any program using pkg-config to determine the correct CFLAGS for
ImageMagick (to find IMAGEMAGICK_CFLAGS) will not build.

I would recommend changing includedir to /usr/include and changing the
actual include flag to "-I${includdir}/magick".

Note that FC2 includes a rather old version of ImageMagick -- v5,
whereas v6 is out.  The current 6.0.8 tarball does not have this problem.

Version-Release number of selected component (if applicable):
5.5.7.15-1.3

How reproducible:
Always

Steps to Reproduce:
1. Write a program with a configure.in including the line
"PKG_CHECK_MODULES(IMAGEMAGICK, ImageMagick)"
2. Have that program's Makefile.am contain the string "AM_CPPFLAGS =
@IMAGEMAGICK_CFLAGS@".
3. Attempt to include ImageMagick's api.h with the following line:
#include <api.h>.  The include path will not include the file, and
compilation will fail.
    

Additional info:
Comment 1 Matthias Clasen 2005-04-25 00:43:52 EDT
This won't be fixed in FC2. FC3/FC4 have ImageMagick-6.2.0, and the .pc sets
includedir to /usr/include.

Note You need to log in before you can comment on or make changes to this bug.